| Disk ARchive 2.7.12 Full featured and portable backup and archiving tool

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libdar::crit_not Class Reference
API

realises the negation of the criterium given in argument to its constructor More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

Inherited by libdar::crit_invert.

## Public Member Functions
| crit_not (const criterium &crit)
| crit_not (const crit_not &ref)
| crit_not (crit_not &&ref) noexcept
crit_not & | operator= (const crit_not &ref)
crit_not & | operator= (crit_not &&ref) noexcept
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method More...
virtual criterium * | clone () const =0
| clone construction method More...

## Protected Attributes
const criterium * | x_crit

## Private Member Functions
void | copy_from (const crit_not &ref)
void | destroy ()

## Detailed Description

realises the negation of the criterium given in argument to its constructor

Definition at line 483 of file criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_not() [1/3]

libdar::crit_not::crit_not | ( | const criterium & | crit | ) |
| inline

Definition at line 486 of file criterium.hpp.

## ◆ crit_not() [2/3]

libdar::crit_not::crit_not | ( | const crit_not & | ref | ) |
| inline

Definition at line 487 of file criterium.hpp.

## ◆ crit_not() [3/3]

libdar::crit_not::crit_not | ( | crit_not && | ref | ) |
| inline noexcept

Definition at line 488 of file criterium.hpp.

## ◆ ~crit_not()

libdar::crit_not::~crit_not | ( |  | ) |
| inline

Definition at line 491 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::crit_not::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 494 of file criterium.hpp.

## ◆ destroy()

void libdar::crit_not::destroy | ( |  | ) |
| inline private

Definition at line 501 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_not::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const
| inline override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

Definition at line 493 of file criterium.hpp.

References libdar::criterium::evaluate().

## ◆ operator=() [1/2]

crit_not & libdar::crit_not::operator= | ( | const crit_not & | ref | ) |
| inline

Definition at line 489 of file criterium.hpp.

## ◆ operator=() [2/2]

crit_not & libdar::crit_not::operator= | ( | crit_not && | ref | ) |
| inline noexcept

Definition at line 490 of file criterium.hpp.

## Member Data Documentation

## ◆ x_crit

const criterium* libdar::crit_not::x_crit
| protected

Definition at line 497 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp